/*
 * Coscine Web API
 *
 * Coscine (short for <b>CO</b>llaborative <b>SC</b>ientific <b>IN</b>tegration <b>E</b>nvironment) is the research data management platform for your research project.
 *
 * The version of the OpenAPI document: 2.0
 * Contact: servicedesk@itc.rwth-aachen.de
 * Generated by: https://github.com/openapitools/openapi-generator.git
 */

using System;
using System.IO;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Reflection;
using RestSharp;
using Xunit;

using Coscine.ApiClient.Core.Client;
using Coscine.ApiClient.Core.Api;
// uncomment below to import models
//using Coscine.ApiClient.Core.Model;

namespace Coscine.ApiClient.Core.Test.Api
{
    /// <summary>
    ///  Class for testing TreeApi
    /// </summary>
    /// <remarks>
    /// This file is automatically generated by OpenAPI Generator (https://openapi-generator.tech).
    /// Please update the test case below to test the API endpoint.
    /// </remarks>
    public class TreeApiTests : IDisposable
    {
        private TreeApi instance;

        public TreeApiTests()
        {
            instance = new TreeApi();
        }

        public void Dispose()
        {
            // Cleanup when everything is done.
        }

        /// <summary>
        /// Test an instance of TreeApi
        /// </summary>
        [Fact]
        public void InstanceTest()
        {
            // TODO uncomment below to test 'IsType' TreeApi
            //Assert.IsType<TreeApi>(instance);
        }

        /// <summary>
        /// Test ApiV2ProjectsProjectIdResourcesResourceIdTreesOptions
        /// </summary>
        [Fact]
        public void ApiV2ProjectsProjectIdResourcesResourceIdTreesOptionsTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //string resourceId = null;
            //instance.ApiV2ProjectsProjectIdResourcesResourceIdTreesOptions(projectId, resourceId);
        }

        /// <summary>
        /// Test CreateExtractedMetadataTree
        /// </summary>
        [Fact]
        public void CreateExtractedMetadataTreeTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //ExtractedMetadataTreeForCreationDto? extractedMetadataTreeForCreationDto = null;
            //var response = instance.CreateExtractedMetadataTree(projectId, resourceId, extractedMetadataTreeForCreationDto);
            //Assert.IsType<MetadataTreeDtoResponse>(response);
        }

        /// <summary>
        /// Test CreateMetadataTree
        /// </summary>
        [Fact]
        public void CreateMetadataTreeTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //MetadataTreeForCreationDto? metadataTreeForCreationDto = null;
            //var response = instance.CreateMetadataTree(projectId, resourceId, metadataTreeForCreationDto);
            //Assert.IsType<MetadataTreeDtoResponse>(response);
        }

        /// <summary>
        /// Test DeleteMetadataTree
        /// </summary>
        [Fact]
        public void DeleteMetadataTreeTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //MetadataTreeForDeletionDto? metadataTreeForDeletionDto = null;
            //instance.DeleteMetadataTree(projectId, resourceId, metadataTreeForDeletionDto);
        }

        /// <summary>
        /// Test GetFileTree
        /// </summary>
        [Fact]
        public void GetFileTreeTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //string? path = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetFileTree(projectId, resourceId, path, pageNumber, pageSize, orderBy);
            //Assert.IsType<FileTreeDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetMetadataTree
        /// </summary>
        [Fact]
        public void GetMetadataTreeTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //string? path = null;
            //RdfFormat? format = null;
            //bool? includeExtractedMetadata = null;
            //bool? includeProvenance = null;
            //int? pageNumber = null;
            //int? pageSize = null;
            //string? orderBy = null;
            //var response = instance.GetMetadataTree(projectId, resourceId, path, format, includeExtractedMetadata, includeProvenance, pageNumber, pageSize, orderBy);
            //Assert.IsType<MetadataTreeDtoPagedResponse>(response);
        }

        /// <summary>
        /// Test GetSpecificMetadataTree
        /// </summary>
        [Fact]
        public void GetSpecificMetadataTreeTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //string path = null;
            //RdfFormat? format = null;
            //bool? includeExtractedMetadata = null;
            //bool? includeProvenance = null;
            //int? version = null;
            //var response = instance.GetSpecificMetadataTree(projectId, resourceId, path, format, includeExtractedMetadata, includeProvenance, version);
            //Assert.IsType<MetadataTreeDtoResponse>(response);
        }

        /// <summary>
        /// Test UpdateExtractedMetadataTree
        /// </summary>
        [Fact]
        public void UpdateExtractedMetadataTreeTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //ExtractedMetadataTreeForUpdateDto? extractedMetadataTreeForUpdateDto = null;
            //instance.UpdateExtractedMetadataTree(projectId, resourceId, extractedMetadataTreeForUpdateDto);
        }

        /// <summary>
        /// Test UpdateMetadataTree
        /// </summary>
        [Fact]
        public void UpdateMetadataTreeTest()
        {
            // TODO uncomment below to test the method and replace null with proper value
            //string projectId = null;
            //Guid resourceId = null;
            //MetadataTreeForUpdateDto? metadataTreeForUpdateDto = null;
            //instance.UpdateMetadataTree(projectId, resourceId, metadataTreeForUpdateDto);
        }
    }
}
